security:
    # https://symfony.com/doc/current/security/experimental_authenticators.html
    enable_authenticator_manager: true
    # https://symfony.com/doc/current/security.html#where-do-users-come-from-user-providers
    providers:
        from_database_proprietaire:
            entity:
                class: App\Entity\Proprietaire
                property: Email
        from_database_client:
            entity:
                class: App\Entity\Client
                property: Email
    firewalls:
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
        main:
            
            lazy: true
            logout:
                path: app_logout
                target: 'home'
            custom_authenticator: App\Security\AppAuthenticator
                # where to redirect after logout
                

            # activate different ways to authenticate
            # https://symfony.com/doc/current/security.html#firewalls-authentication

            # https://symfony.com/doc/current/security/impersonating_user.html
            # switch_user: true

    # Easy way to control access for large sections of your site
    # Note: Only the *first* access control that matches will be used
    access_control:
         - { path: ^/admin, roles: [ROLE_ADMIN, ROLE_PROPRIO] }
        #  - { path: ^/admin, roles:  }

    password_hashers:
        App\Entity\Proprietaire:
            algorithm: bcrypt
            cost: 12
